package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.broker.entity.BrokerEntity;
import com.ycwl.basic.model.pc.broker.req.BrokerReqQuery;
import com.ycwl.basic.model.pc.broker.resp.BrokerRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:15
 * 推客/推广人
 */
@Mapper
public interface BrokerMapper {
    List<BrokerRespVO> list(BrokerReqQuery brokerReqQuery);
    BrokerRespVO getById(Long id);
    int add(BrokerEntity broker);
    int deleteById(Long id);
    int update(BrokerEntity broker);
    int updateStatus(Long id);
    int updateBrokerEnable(Long id);
}
